<?php

namespace App\Libraries;

use TCPDF;

class Tcpdf_lib extends TCPDF
{
    public function __construct()
    {
        parent::__construct();
        // Aquí puedes configurar las propiedades por defecto de TCPDF
        $this->SetCreator(PDF_CREATOR);
        $this->SetAuthor('Nombre del Autor');
        $this->SetTitle('Título del Documento');
        $this->SetSubject('Asunto del Documento');
        $this->SetKeywords('TCPDF, PDF, CodeIgniter 4');

        $this->setPrintHeader(false);
        $this->setPrintFooter(false);
        
       /* $this->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
        $this->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));*/
        
        // Márgenes
        //$this->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
        $this->SetMargins(8, 5, 8);
        /*$this->SetHeaderMargin(PDF_MARGIN_HEADER);
        $this->SetFooterMargin(PDF_MARGIN_FOOTER);*/
        
        // Salto de página automático
        $this->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
        
        // Escala de la imagen
        $this->setImageScale(PDF_IMAGE_SCALE_RATIO);
    }
}
